org.apache.hadoop.hdfs.qjournal.protocol

## Class QJournalProtocolProtos.PrepareRecoveryResponseProto

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.PrepareRecoveryResponseProto

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder
  Enclosing class:
    QJournalProtocolProtos

      public static final class QJournalProtocolProtos.PrepareRecoveryResponseProto
      extends com.google.protobuf.GeneratedMessage
      implements QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder

  Protobuf type `hadoop.hdfs.qjournal.PrepareRecoveryResponseProto`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder` Protobuf type `hadoop.hdfs.qjournal.PrepareRecoveryResponseProto`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACCEPTEDINEPOCH_FIELD_NUMBER`
    `static int` | `LASTCOMMITTEDTXID_FIELD_NUMBER`
    `static int` | `LASTWRITEREPOCH_FIELD_NUMBER`
    `static com.google.protobuf.Parser<QJournalProtocolProtos.PrepareRecoveryResponseProto>` | `PARSER`
    `static int` | `SEGMENTSTATE_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `long` | `getAcceptedInEpoch()` `optional uint64 acceptedInEpoch = 2;`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto` | `getDefaultInstance()`
    `QJournalProtocolProtos.PrepareRecoveryResponseProto` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `long` | `getLastCommittedTxId()` `optional uint64 lastCommittedTxId = 4;`
    `long` | `getLastWriterEpoch()` `required uint64 lastWriterEpoch = 3;`
    `com.google.protobuf.Parser<QJournalProtocolProtos.PrepareRecoveryResponseProto>` | `getParserForType()`
    `QJournalProtocolProtos.SegmentStateProto` | `getSegmentState()` `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
    `QJournalProtocolProtos.SegmentStateProtoOrBuilder` | `getSegmentStateOrBuilder()` `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
    `int` | `getSerializedSize()`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasAcceptedInEpoch()` `optional uint64 acceptedInEpoch = 2;`
    `int` | `hashCode()`
    `boolean` | `hasLastCommittedTxId()` `optional uint64 lastCommittedTxId = 4;`
    `boolean` | `hasLastWriterEpoch()` `required uint64 lastWriterEpoch = 3;`
    `boolean` | `hasSegmentState()` `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder` | `newBuilder()`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder` | `newBuilder(QJournalProtocolProtos.PrepareRecoveryResponseProto prototype)`
    `QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder` | `newBuilderForType()`
    `protected QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto` | `parseDelimitedFrom(InputStream input)`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto` | `parseFrom(byte[] data)`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto` | `parseFrom(com.google.protobuf.ByteString data)`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto` | `parseFrom(InputStream input)`
    `static QJournalProtocolProtos.PrepareRecoveryResponseProto` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<QJournalProtocolProtos.PrepareRecoveryResponseProto> PARSER

    - #### SEGMENTSTATE_FIELD_NUMBER

          public static final int SEGMENTSTATE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ACCEPTEDINEPOCH_FIELD_NUMBER

          public static final int ACCEPTEDINEPOCH_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### LASTWRITEREPOCH_FIELD_NUMBER

          public static final int LASTWRITEREPOCH_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### LASTCOMMITTEDTXID_FIELD_NUMBER

          public static final int LASTCOMMITTEDTXID_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto getDefaultInstance()

    - #### getDefaultInstanceForType

          public QJournalProtocolProtos.PrepareRecoveryResponseProto getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<QJournalProtocolProtos.PrepareRecoveryResponseProto> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasSegmentState

          public boolean hasSegmentState()

      `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
      Specified by:
        `hasSegmentState` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`

    - #### getSegmentState

          public QJournalProtocolProtos.SegmentStateProto getSegmentState()

      `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
      Specified by:
        `getSegmentState` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`

    - #### getSegmentStateOrBuilder

          public QJournalProtocolProtos.SegmentStateProtoOrBuilder getSegmentStateOrBuilder()

      `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
      Specified by:
        `getSegmentStateOrBuilder` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`

    - #### hasAcceptedInEpoch

          public boolean hasAcceptedInEpoch()

      `optional uint64 acceptedInEpoch = 2;`
      Specified by:
        `hasAcceptedInEpoch` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`

    - #### getAcceptedInEpoch

          public long getAcceptedInEpoch()

      `optional uint64 acceptedInEpoch = 2;`
      Specified by:
        `getAcceptedInEpoch` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`

    - #### hasLastWriterEpoch

          public boolean hasLastWriterEpoch()

      `required uint64 lastWriterEpoch = 3;`
      Specified by:
        `hasLastWriterEpoch` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`

    - #### getLastWriterEpoch

          public long getLastWriterEpoch()

      `required uint64 lastWriterEpoch = 3;`
      Specified by:
        `getLastWriterEpoch` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`

    - #### hasLastCommittedTxId

          public boolean hasLastCommittedTxId()

      `optional uint64 lastCommittedTxId = 4;`

           The highest committed txid that this logger has ever seen.
           This may be higher than the data it actually has, in the case
           that it was lagging before the old writer crashed.

      Specified by:
        `hasLastCommittedTxId` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`

    - #### getLastCommittedTxId

          public long getLastCommittedTxId()

      `optional uint64 lastCommittedTxId = 4;`

           The highest committed txid that this logger has ever seen.
           This may be higher than the data it actually has, in the case
           that it was lagging before the old writer crashed.

      Specified by:
        `getLastCommittedTxId` in interface `QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(com.google.protobuf.ByteString data)
                                                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(com.google.protobuf.ByteString data,
                                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(byte[] data)
                                                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(byte[] data,
                                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(InputStream input)
                                                                               throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(InputStream input,
                                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                               throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseDelimitedFrom(InputStream input)
                                                                                        throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseDelimitedFrom(InputStream input,
                                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                        throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(com.google.protobuf.CodedInputStream input)
                                                                               throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto parseFrom(com.google.protobuf.CodedInputStream input,
                                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                               throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder newBuilder()

    - #### newBuilderForType

          public QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder newBuilder(QJournalProtocolProtos.PrepareRecoveryResponseProto prototype)

    - #### toBuilder

          public QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.